Loading...
Searching...
No Matches
CurveGeometry Class Referenceabstract
Inheritance diagram for CurveGeometry:

## Public Member Functions

| CurveGeometry (bool flat)
void | accept (Visitor &visitor) override
void | render (const Camera &camera) override
| Render the cylinder geometry.
void | addPoint (const Vector3f &pos, const Vector3ub &color, float radius, size_t group, size_t id)
const std::vector< Line * > & | lines () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual void | clear ()
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Static Public Attributes

static const size_t | SKIPPED

## Protected Member Functions

virtual void | update (int index)
virtual Vector3f | computeCurvePoint (float t, const std::list< Point * > &points) const =0
virtual std::vector< ColorNormalVertex > | computeCirclePoints (const Eigen::Affine3f &a, const Eigen::Affine3f &b, bool flat) const
virtual float | computeScale (size_t index, float t, float scale) const
void | processShaderError (bool error)
Core::Array< Identifier > | areaHits (const Frustrum &f) const override
Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.

## Protected Attributes

std::vector< Line * > | m_lines
std::map< size_t, size_t > | m_indexMap
ShaderInfo | m_shaderInfo
bool | m_dirty
bool | m_canBeFlat
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Member Function Documentation

## accept()

void accept | ( | Visitor & | visitor | ) |

override virtual

Accept a visit from our friendly visitor.

Reimplemented from Drawable.

## render()

void render | ( | const Camera & | camera | ) |

override virtual

Parameters

  camera | The current camera to be used for rendering.

Reimplemented from Drawable.

## areaHits()

Core::Array< Identifier > areaHits | ( | const Frustrum & | f | ) | const

override protected virtual

Return the primitives within the supplied area.

Parameters

  f | The frustrum defining the area highlighted.

Returns
  Collection of primitives in the area.

Reimplemented from Drawable.

The documentation for this class was generated from the following file:

- curvegeometry.h